Ubuntu

[dash] Category filters is sorted according to their english names, even when another language is used

Reported by Jan Rathmann on 2011-08-31
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Music Lens
Medium
Mikkel Kamstrup Erlandsen
Unity
Medium
Mikkel Kamstrup Erlandsen
libunity
Medium
Mikkel Kamstrup Erlandsen
unity-2d
Low
Mikkel Kamstrup Erlandsen
unity-lens-applications
Medium
Mikkel Kamstrup Erlandsen
unity-lens-files
Medium
Mikkel Kamstrup Erlandsen
libunity (Ubuntu)
Undecided
Unassigned
unity-2d (Ubuntu)
Medium
Unassigned
unity-lens-applications (Ubuntu)
Undecided
Unassigned
unity-lens-files (Ubuntu)
Undecided
Unassigned
unity-lens-music (Ubuntu)
Undecided
Unassigned

Bug Description

In Unity-2D dash, if you click on "More applications" and "Filter results" then, the application categories are sorted the wrong way if you are using a language other than english. Eventhough the entrys are translated, they are still sorted according to their english names (with Accessoires first, System last, in German for example "Büro" (=Office) should be first, and "Zubehör" (=Acessoires) should be last).
You can see the problem at the attached screenhot.

Kind regards,
Jan

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: unity-2d 4.2.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-9.15-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
Architecture: amd64
Date: Wed Aug 31 13:52:36 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110831)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: unity-2d
UpgradeStatus: No upgrade log present (probably fresh install)

Jan Rathmann (kaiserclaudius) wrote :
tags: added: iso-testing
Changed in unity-2d:
status: New → Confirmed
Changed in unity-2d (Ubuntu):
status: New → Confirmed
Changed in unity-2d:
importance: Undecided → Low
summary: - Application categories in Unity-2D dash are sorted according to their
- english names, even when another language is used
+ [dash] Application category filters is sorted according to their english
+ names, even when another language is used
Changed in unity:
status: New → Confirmed
Changed in unity-2d (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Changed in unity:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
milestone: none → 4.16.0
status: Confirmed → In Progress
Changed in unity-2d:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
status: Confirmed → In Progress
Changed in libunity:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
status: New → Fix Committed
milestone: none → 4.0.4
Changed in unity-lens-applications:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
milestone: none → 0.4.6
status: New → Fix Committed
Changed in unity:
status: In Progress → Fix Committed
summary: - [dash] Application category filters is sorted according to their english
- names, even when another language is used
+ [dash] Category filters is sorted according to their english names, even
+ when another language is used
Paul Sladen (sladen) wrote :

Mikkel: it's worth speaking to Rosie about this. Xi made a very good point that people using translated/untranslated interfaces are still able to navigate on the basis of predictable spatial locations (ie. third item on the right) even when the interface language doesn't match.

Changed in unity-lens-files:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
milestone: none → 0.6.6
status: New → Fix Committed
Changed in unity-lens-music:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
milestone: none → 0.1.6
status: New → Fix Committed
Changed in unity-2d:
milestone: none → 4.8
status: In Progress → Fix Committed
Changed in unity-2d (Ubuntu):
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-09-15
Changed in libunity:
status: Fix Committed → Fix Released
Changed in unity-2d:
status: Fix Committed → Fix Released
Changed in unity-lens-applications:
status: Fix Committed → Fix Released
Changed in unity-lens-files:
status: Fix Committed → Fix Released
Changed in unity-lens-music:
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-09-15
Changed in libunity:
status: Fix Released → Fix Committed
Changed in unity-lens-music:
status: Fix Released → Fix Committed
Changed in unity-lens-applications:
status: Fix Released → Fix Committed
Changed in unity-lens-files:
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 4.8.0-0ubuntu1

---------------
unity-2d (4.8.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - [window management] Alt tab does not switch to the desired application
      but instead set the urgency flag on the window (LP: #735205)
    - [dash] search field default text not cleared immediately when using
      chinese input method (LP: #745246)
    - [dash] Apps lens shows no result by default (LP: #834571)
    - unity-2d-panel crashed with SIGSEGV in
      IndicatorsWidget::onEntryRemoved() (LP: #846836)
    - [panel] graphics corruption in top line of pixels (LP: #846335)
    - Repeated indicators in unity-2d panel when second screen added
      (LP: #846441)
    - [dash] Lens navigation bar (buttons on lower edge of dash window) is
      accessible (LP: #826560)
    - [dash] Category filters is sorted according to their english names, even
      when another language is used (LP: #838023)
 -- Didier Roche <email address hidden> Thu, 15 Sep 2011 11:43:52 +0200

Changed in unity-2d (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Changed in libunity:
status: Fix Committed → Fix Released
Changed in unity-lens-applications:
status: Fix Committed → Fix Released
Changed in unity-lens-files:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libunity - 4.0.4-0ubuntu1

---------------
libunity (4.0.4-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Scope searches blocks the lens (LP: #850816)
    - [dash] Category filters is sorted according to their english names,
      even when another language is used (LP: #838023)
    - No way to get original path of GAppInfo from Unity.AppInfoManager
      (LP: #850817)
  * debian/libunity6.symbols:
    - updated symbols
 -- Didier Roche <email address hidden> Thu, 15 Sep 2011 14:02:15 +0200

Changed in libunity (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-applications - 0.4.6-0ubuntu1

---------------
unity-lens-applications (0.4.6-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - [dash] Category filters is sorted according to their english names,
      even when another language is used (LP: #838023)
    - application:// URIs are malformed (LP: #784478)
    - Games Filter in Unity doesn't work (LP: #842240)
  * debian/control:
    - build-dep on latest libunity-dev
 -- Didier Roche <email address hidden> Thu, 15 Sep 2011 14:27:11 +0200

Changed in unity-lens-applications (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-files - 0.6.6-0ubuntu1

---------------
unity-lens-files (0.6.6-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - [dash] Category filters is sorted according to their english names,
      even when another language is used (LP: #838023)
    - Downloads category does not respect time range filter (LP: #850281)
 -- Didier Roche <email address hidden> Thu, 15 Sep 2011 14:27:26 +0200

Changed in unity-lens-files (Ubuntu):
status: New → Fix Released
Didier Roche (didrocks) on 2011-09-15
Changed in unity-lens-music:
status: Fix Committed → Fix Released
Alex Launi (alexlauni) on 2011-09-19
Changed in unity-lens-music (Ubuntu):
status: New → Fix Released
Changed in unity-2d:
status: Fix Released → Fix Committed
Gerry Boland (gerboland) on 2011-11-14
Changed in unity-2d:
status: Fix Committed → Fix Released
no longer affects: libunity (Ubuntu Quantal)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers